aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-02-25 15:10:56 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-02-25 15:10:56 +0900
commit410f02f0ad701272071d4c27f633a68022c9f643 (patch)
tree3c9b1fdf1fc6156c1cd8a5ad7e86a08f38c62f58
parent0bd55bdf2f749473eb5ec82e00e235ffa0e859fb (diff)
added blockage for nixos on changing oh my zsh
-rwxr-xr-xconfig/hypr/UserScripts/ZshChangeTheme.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/config/hypr/UserScripts/ZshChangeTheme.sh b/config/hypr/UserScripts/ZshChangeTheme.sh
index fafd7fb0..4919a890 100755
--- a/config/hypr/UserScripts/ZshChangeTheme.sh
+++ b/config/hypr/UserScripts/ZshChangeTheme.sh
@@ -5,13 +5,19 @@
# preview of theme can be view here: https://github.com/ohmyzsh/ohmyzsh/wiki/Themes
# after choosing theme, TTY need to be closed and re-open
-themes_dir="$HOME/.oh-my-zsh/themes"
-file_extension=".zsh-theme"
-
# Variables
iDIR="$HOME/.config/swaync/images"
rofi_theme="$HOME/.config/rofi/config-zsh-theme.rasi"
+if [ -n "$(grep -i nixos < /etc/os-release)" ]; then
+ notify-send -i "$iDIR/ja.png" "NOT Supported" "Sorry NixOS does not support this KooL feature"
+ exit 1
+fi
+
+themes_dir="$HOME/.oh-my-zsh/themes"
+file_extension=".zsh-theme"
+
+
themes_array=($(find -L "$themes_dir" -type f -name "*$file_extension" -exec basename {} \; | sed -e "s/$file_extension//"))
# Add "Random" option to the beginning of the array
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage